<?php

/** 
 * Plugin Name: Next-Cart Store to WooCommerce Migration
 * Description: Migrate products, categories, customers, orders, reviews and other entities to your WooCommerce store.
 * Version: 1.0.0
 * Author: Next-Cart
 * Author URI: https://next-cart.com
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * 
 * WC requires at least: 3.0
 * WC tested up to: 3.6.3
 */

if ( !defined('ABSPATH') || !function_exists('add_action')) {
    exit; // Exit if accessed directly or error.
}

if (!defined('NCWM_PLUGIN_FILE')) {
    define('NCWM_PLUGIN_FILE', __FILE__);
}

if (!defined('NCWM_PLUGIN_DIR')) {
    define('NCWM_PLUGIN_DIR', __DIR__);
}
if (!defined('NCWM_PLUGIN_URL')) {
    define('NCWM_PLUGIN_URL', WP_PLUGIN_URL . '/' . trim(dirname(plugin_basename(__FILE__)), '/'));
}

if (!defined('NCWM_PLUGIN_VERSION')) {
    define('NCWM_PLUGIN_VERSION', '1.0.0');
}

include_once NCWM_PLUGIN_DIR . '/includes/main.php';