<div id="ncwm-woocommerce-migration">
    <div id="ncwm-main-process">
        <div class="ncwm-container">
            <div class="ncwm-progress-m clear">
                <div class="tab setup active">
                    <a class="circle">
                        <i class="setup-icon awefas"></i>
                    </a>
                    <span class="title">Setup</span>
                </div>
                <span class="bar"></span>
                <div class="tab config">
                    <a class="circle">
                        <i class="config-icon awefas"></i>
                    </a>
                    <span class="title" style="margin-left: -14px;">Configuration</span>
                </div>
                <span class="bar"></span>
                <div class="tab run">
                    <a class="circle">
                        <i class="run-icon awefas"></i>
                    </a>
                    <span class="title">Migration</span>
                </div>
            </div>
            <div class="ncwm-process-content">
                <ul id="ncwm-error-messages"></ul>
                <input type="hidden" name="controller" value="migration">
                <div id="ncwm-process-form-step">
                    <div id="ncwm-process-child-setup">
                        <?php ncwm_display_template('setup.php'); ?>
                    </div>
                    <div id="ncwm-process-child-config"></div>
                    <div class="clearfix"></div>
                </div>
                <div class="ncwm-process-area">
                    <a class="ncwm-process-button fill-button" id="ncwm-setup-submit" data-loading-text="<i class='spinner-icon awefal loading'></i> Processing">
                        Next Step
                    </a>
                    <a class="ncwm-process-button fill-button" id="ncwm-config-submit" data-loading-text="<i class='spinner-icon awefal loading'></i> Processing" style="display: none">
                        Next Step
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div class="ncwm-demo-message">
        <div class="ncwm-container">
            <p>If your cart is not listed here, please <a href="https://next-cart.com/contact/">contact us</a>. The migration tool for your cart will be made within 72 hours.</p>
            <p><i>***Note: The free version of Next-Cart Migration Tool consist of some limitations: slow migration speed, limited entity at 50. You could buy Pro License here: <a href="https://next-cart.com/supported-carts/woocommerce/" target="_blank">WooCommerce Migration</a> to unlock all features.</i></p>
        </div>
    </div>
    <div class="ncwm-footer">
        <span>&copy; Shopping Cart Migration Tool developed by <a href="https://next-cart.com">Next-Cart</a></span>
    </div>
    <div class="ncwm-confirm-box-container">
        <div class="confirm-box">
            <div class="cb-info"></div>
            <h2>Are you sure?</h2>
            <span>Perform the full migration now!</span>
            <div class="button-container">
                <button class="cancel ncwm-cancel-btn ncwm-box-btn">Cancel</button>
                <button class="confirm ncwm-confirm-btn ncwm-box-btn">Yes, do it!</button>
            </div>
        </div>
    </div>
</div>
